summaryrefslogtreecommitdiffstats
path: root/projectroot/etc/init.d/dnsmasq
diff options
context:
space:
mode:
Diffstat (limited to 'projectroot/etc/init.d/dnsmasq')
-rw-r--r--projectroot/etc/init.d/dnsmasq32
1 files changed, 32 insertions, 0 deletions
diff --git a/projectroot/etc/init.d/dnsmasq b/projectroot/etc/init.d/dnsmasq
new file mode 100644
index 000000000..6e6aa5dbc
--- /dev/null
+++ b/projectroot/etc/init.d/dnsmasq
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# /etc/init.d/dnsmasq
+#
+# $Id$
+#
+PIDFILE=/var/run/dnsmasq.pid
+
+case $1 in
+
+ start)
+ test -e $PIDFILE && echo "already running"
+ echo "dnsmasq starting"
+ /usr/sbin/dnsmasq
+ ;;
+
+ stop)
+ test -e $PIDFILE || echo "not running"
+ kill -s SIGTERM `cat $PIDFILE`
+ ;;
+
+ reload)
+ test -e $PIDFILE || echo "not running"
+ kill -s SIGHUP `cat $PIDFILE`
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|reload}"
+ exit 1
+ ;;
+
+esac